Main Page Modules Data Structures File List Data Fields Globals Related Pages

# python/rpmal-py.c File Reference

More...

`#include "system.h"`
`#include "Python.h"`
`#include <rpmlib.h>`
`#include "rpmal-py.h"`
`#include "rpmds-py.h"`
`#include "rpmfi-py.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions
PyObject * | rpmal_Debug (rpmalObject *s, PyObject *args)
PyObject * | rpmal_Add (rpmalObject *s, PyObject *args)
PyObject * | rpmal_Del (rpmalObject *s, PyObject *args)
PyObject * | rpmal_AddProvides (rpmalObject *s, PyObject *args)
PyObject * | rpmal_MakeIndex (rpmalObject *s, PyObject *args)
void | rpmal_dealloc (rpmalObject *s)
PyObject * | rpmal_getattr (rpmalObject *s, char *name)
rpmalObject * | rpmal_Wrap (rpmal al)
## Variables
PyMethodDef | rpmal_methods []
char | rpmal_doc []
PyTypeObject | rpmal_Type

## Detailed Description

Definition in file rpmal-py.c.

## Function Documentation

PyObject* rpmal_Add | ( | rpmalObject * | s,
|  | PyObject * | args
| ) | `[static]`

| Definition at line 32 of file rpmal-py.c. References alKey, rpmdsObject_s::ds, rpmfiObject_s::fi, and rpmalAdd.

PyObject* rpmal_AddProvides | ( | rpmalObject * | s,
|  | PyObject * | args
| ) | `[static]`

| Definition at line 66 of file rpmal-py.c. References alKey, rpmdsObject_s::ds, and rpmalAddProvides.

void rpmal_dealloc | ( | rpmalObject * | s | ) | `[static]`

| Definition at line 116 of file rpmal-py.c. References rpmalFree.

PyObject* rpmal_Debug | ( | rpmalObject * | s,
|  | PyObject * | args
| ) | `[static]`

| Definition at line 22 of file rpmal-py.c.

PyObject* rpmal_Del | ( | rpmalObject * | s,
|  | PyObject * | args
| ) | `[static]`

| Definition at line 50 of file rpmal-py.c. References alKey, and rpmalDel.

PyObject* rpmal_getattr | ( | rpmalObject * | s,
|  | char * | name
| ) | `[static]`

| Definition at line 126 of file rpmal-py.c. References rpmal_methods.

PyObject* rpmal_MakeIndex | ( | rpmalObject * | s,
|  | PyObject * | args
| ) | `[static]`

| Definition at line 83 of file rpmal-py.c. References rpmalMakeIndex.

rpmalObject* rpmal_Wrap | ( | rpmal | al | ) |

| Definition at line 191 of file rpmal-py.c. References rpmalObject_s::al, and rpmal_Type.

## Variable Documentation

char rpmal_doc[]`[static]`

| Initial value:
    ""
Definition at line 135 of file rpmal-py.c.

struct PyMethodDef rpmal_methods[]`[static]`

| Initial value:
     {
     {"Debug",      (PyCFunction)rpmal_Debug,       METH_VARARGS,
            NULL},
     {"add",        (PyCFunction)rpmal_Add,         METH_VARARGS,
            NULL},
     {"delete",     (PyCFunction)rpmal_Del,         METH_VARARGS,
            NULL},
     {"addProvides",(PyCFunction)rpmal_AddProvides, METH_VARARGS,
            NULL},
     {"makeIndex",(PyCFunction)rpmal_MakeIndex,     METH_VARARGS,
            NULL},
     {NULL,         NULL }
    }
Definition at line 98 of file rpmal-py.c. Referenced by rpmal_getattr.

PyTypeObject rpmal_Type

| Definition at line 140 of file rpmal-py.c. Referenced by rpmal_Wrap.